Openmoko Bug #2109: Upgrade path error from Om2008.9 to testing

Openmoko Public Trac bugs at
Tue Dec 2 08:25:39 CET 2008

#2109: Upgrade path error from Om2008.9 to testing
 Reporter:  john_lee  |          Owner:  tick        
     Type:  defect    |         Status:  in_testing  
 Priority:  high      |      Milestone:              
Component:  Distro    |        Version:  Om2008.9-dev
 Severity:  normal    |       Keywords:  Om2008.11   
 Haspatch:  0         |      Blockedby:              
Estimated:            |    Patchreview:              
 Blocking:            |   Reproducible:  always      

Comment(by tick):

 After testing upgrading from Om2008.9 to testing, the repository upgrade
 path is in a good shape now. With opkg svn 4838. I can do upgrading in 25
 mins, where the repository is in nearby network. That is much faster than

 However, I found another issue, that we may need to upgrade twice to get
 all packages upgraded. I believe it's a bug in opkg dependency
 calculation. I will file another ticket to describe this issue. This issue
 also happens in older version of opkg. Still need to dig in.

 For this ticket, I think in OE it's good now.

Ticket URL: <> <>
openmoko trac

More information about the buglog mailing list